SIGNOFF(1)

NAME
signoff - Signoff or revoke Arch Linux Testing packages

SYNOPSIS

signoff [options] [package]

DESCRIPTION

Packages in Arch Linux’s testing repositories can be signed off as fully functional by the Arch Linux Testing Team and after a certain amount of signoffs promoted to the normal repositories. The signoff tool is created for the Arch Linux Testing Team to make it easier to sign off packages in an interactive way.

OPTIONS

-s, --signoff package
    Signoff the specified package.

-r, --revoke package
    Revoke the specified package.

-l, --list
    List of packages that can be signed off.

-i, --interactive
    Interactively sign off packages.

-u, --uninstalled
    Include uninstalled packages when listing.

-a, --signed-off
    Include signed-off packages when listing.

-q, --quiet
    Be less verbose when listing packages.

-b, --db-path <dbpath>
    pacman database path

--username username
    ArchWeb username.

--password password
    ArchWeb password.

--noconfirm
    Don’t ask for confirmation.

--nocolor
    Don’t use color in output.

-h, --help
    Show this message and exit.

ENVIRONMENT

ARCHWEB_USERNAME
    The archweb username to use to log in to archweb.

ARCHWEB_PASSWORD
    The archweb password to use to log in to archweb.

AUTHORS

Jelle van der Waa <jelle@archlinux.org>